HomeGuides :: AssemblageTroubleshooting Tips and TricksAxysRunner fails to run

10.18. AxysRunner fails to run

Symptoms

Scripter configurations that use the AxysRunner to run Axys reports fail. 

Error message says '"Files not Processed" "1 Files were not processed. See the logs for error information.'

The Logs tab shows the following detailed error message:

Caused by: java.io.IOException: Cannot run program "?:\Advent\Axys\rep32.exe" (in directory "some directory\AppData\Local\Temp\assemblage\axysRunner"): CreateProcess error=740, The requested operation requires elevation.

This elevation requirement is being done in the executable manifest of the rep32.exe executable, and can only be fixed by the Axys developers.

Background

Advent Axys changed the Axys application to require that it be run elevated (why they did this is beyond us - it makes absolutely no sense).  This means that the process that launches Axys (i.e. Assemblage) must also be run elevated, or you must disable UAC on the workstation that will be running Axys.

Workaround

Either of the following workarounds will work:

  1. Run Assemblage with UAC elevation (right click, Run as Administrator)
    Note: if you run Assemblage with UAC elevation, it will be unable to integrate with other applications that you have running.  For the purposes of running Axys reports, this is probably not an issue.
  2. Disable UAC on the workstation that will be running Axys
    Tip: Here is information about how to properly disable UAC: http://www.howtogeek.com/howto/windows-vista/disable-user-account-control-uac-the-easy-way-on-windows-vista/

Resolution

Contact Advent support and request that they fix Axys so it does not force users to run elevated.  Note that so far, none of our users have had any luck with this - but if you are able to get them to fix this, please do let us know.

 

This page was: Helpful | Not Helpful

© 2012 Trumpet, Inc., All Rights Reserved